
Foreman - Bug #3600

Bookmarks with "/" in Name Break Bookmarks Page

11/07/2013 09:18 AM - Stephen Benjamin

Status: Duplicate   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Reporting   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A bookmark created with a "/" breaks the bookmark page with a "No route matches."

Related issues:

Is duplicate of Foreman - Bug #3516: Architectures etc: resources created/mod... Closed 10/25/2013

History

#1 - 11/07/2013 09:23 AM - Dominic Cleal

- Is duplicate of Bug #3516: Architectures etc: resources created/modified should not use multibyte names in URLs added

#2 - 11/07/2013 09:23 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks, we're currently fixing this in #3516.

#3 - 11/07/2013 09:27 AM - Stephen Benjamin

Pull request submitted that changes "/" to "_": https://github.com/theforeman/foreman/pull/1006

And here's the fix to delete the broken bookmark:

[root@gatebuilder ~]# su - postgres

-bash-4.1$ psql

psql (8.4.18)

Type "help" for help.

postgres=# \c foreman

psql (8.4.18)

You are now connected to database "foreman".

foreman=# delete from bookmarks where name = '<incorrect/name>';

#4 - 11/07/2013 09:29 AM - Stephen Benjamin

Ah ok, never mind then :-)  Didn't see that bug.

#5 - 11/07/2013 09:33 AM - Dominic Cleal

No worries, thanks for the PR anyway!  That bug covers a number of related issues, hopefully improving all of our resource identifiers to prevent these

problems.
